### Hierarchy

- IJenkinsObject
  - IJenkinsJob

### Implemented by

- JenkinsJob

## Index

### Properties

- _class
- actions
- buildable
- builds
- color
- concurrentBuild
- description
- displayName
- displayNameOrNull
- downstreamProjects
- firstBuild
- fullDisplayName
- fullName
- healthReport
- inQueue
- keepDependencies
- lastBuild
- lastCompletedBuild
- lastFailedBuild
- lastStableBuild
- lastSuccessfulBuild
- lastUnstableBuild
- lastUnsuccessfulBuild
- modules
- name
- nextBuildNumber
- numberOfBuilds
- property
- queueItem
- scm
- upstreamProjects
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:23

### actions

actions: Array<any>

- Defined in jenkins-api-ts-typings.ts:99

### buildable

buildable: boolean

- Defined in jenkins-api-ts-typings.ts:81

### builds

builds: Array<IJenkinsBuild>

- Defined in jenkins-api-ts-typings.ts:89

### color

color: string

- Defined in jenkins-api-ts-typings.ts:80

### concurrentBuild

concurrentBuild: boolean

- Defined in jenkins-api-ts-typings.ts:85

### description

description: string

- Defined in jenkins-api-ts-typings.ts:79

### displayName

displayName: string

- Defined in jenkins-api-ts-typings.ts:77

### displayNameOrNull

displayNameOrNull: string

- Defined in jenkins-api-ts-typings.ts:86

### downstreamProjects

downstreamProjects: Array<any>

- Defined in jenkins-api-ts-typings.ts:103

### firstBuild

firstBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:90

### fullDisplayName

fullDisplayName: string

- Defined in jenkins-api-ts-typings.ts:78

### fullName

fullName: string

- Defined in jenkins-api-ts-typings.ts:87

### healthReport

healthReport: Array<any>

- Defined in jenkins-api-ts-typings.ts:100

### inQueue

inQueue: boolean

- Defined in jenkins-api-ts-typings.ts:82

### keepDependencies

keepDependencies: boolean

- Defined in jenkins-api-ts-typings.ts:83

### lastBuild

lastBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:91

### lastCompletedBuild

lastCompletedBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:92

### lastFailedBuild

lastFailedBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:93

### lastStableBuild

lastStableBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:94

### lastSuccessfulBuild

lastSuccessfulBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:95

### lastUnstableBuild

lastUnstableBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:96

### lastUnsuccessfulBuild

lastUnsuccessfulBuild: IJenkinsBuild

- Defined in jenkins-api-ts-typings.ts:97

### modules

modules: Array<any>

- Defined in jenkins-api-ts-typings.ts:106

### name

name: string

- Defined in jenkins-api-ts-typings.ts:74

### nextBuildNumber

nextBuildNumber: number

- Defined in jenkins-api-ts-typings.ts:84

### numberOfBuilds

numberOfBuilds: number

- Defined in jenkins-api-ts-typings.ts:88

### property

property: Array<any>

- Defined in jenkins-api-ts-typings.ts:101

### queueItem

queueItem: any

- Defined in jenkins-api-ts-typings.ts:102

### scm

scm: any

- Defined in jenkins-api-ts-typings.ts:105

### upstreamProjects

upstreamProjects: Array<any>

- Defined in jenkins-api-ts-typings.ts:104

### url

url: string

- Defined in jenkins-api-ts-typings.ts:75

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:25

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:26

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:24

  #### Returns string

Generated using TypeDoc